No estas registrado.

#1 2015-05-19 15:31:25

Ystad
Tuxes
Registrado: 2013-08-10
Mensajes: 11

Sin poder instalar en Debian 8 el driver Legacy 173.14.

Al actualizar de Debian Wheezy a Jessie me he quedado sin entorno gráfico. En Wheezy tenía instalado el driver privativo Legacy 173.xxx y funcionaba sin problemas.
Ahora cuando he actualizado a Jessie no arranca el modo gráfico. Mi tarjeta gráfica es antigua, una Nvidia GeForce FX5500.
Para solucionarlo he realizado lo siguiente a través de consola:
1º) He borrado todo lo referente a Nvidia.
2º) Intenté  volver a instalar Legacy 173xxx, siguiendo los pasos de la wiki de Debian en la dirección:
https://wiki.debian.org/es/NvidiaGraphicsDrivers
Usé los comandos:

aptitude update
 aptitude -r install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,') nvidia-kernel-legacy-173xx-dkms

No funcionó.

3ª) Intenté instalar manualmente el driver privativo Legacy a través del tutorial existente en el blog:

  http://linuxcodigo.com/2014/12/17/insta … de-nvidia/
Tampoco resultó. Al final del proceso cuando se estaba instalando el driver Legacy salió un mensaje de:

Received signal SIGTERM; aborting

-A través del comando:

nvidia-detect

la respuesta obtenida fue la siguiente:

Detected Nvidia GPUS.
NVIDIA Corporation NV34 (GeForce FX-5500).
Your card is only supported by the 173.14 Legacy drivers series, which is not any current Debian suite

He leído en algún foro que en Debian 8 no se puede instalar el driver Legacy a través de repositorios como sí se podía en Debian 7.
Aún así no he conseguido instalarlo de forma manual, por lo que he decidido consultarlo en el foro para poder recibir ayuda.
De qué otra forma podría instalarlo?
Jessie  no admite el driver Legacy?
Gracias por su atención

Desconectado

#2 2015-05-19 18:38:58

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: Sin poder instalar en Debian 8 el driver Legacy 173.14.

La respuesta a tu problema es:

NVIDIA  no ofrece soporte para kernel y Xorg más nuevos para sus driver Legacy 173, asi que no queda otra que usar el driver nouveau.

Fijate que esta situación está fuera de las manos de Debian, ya que ellos no desarrollan los drivers privativos para tu tarjeta.

Saludos.


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

#3 2015-05-20 05:21:26

Ystad
Tuxes
Registrado: 2013-08-10
Mensajes: 11

Re: Sin poder instalar en Debian 8 el driver Legacy 173.14.

Gracias por la respuesta.
Entiendo que no hay solución posible en Debian 8 teniendo la gráfica Nvidia GForce FX5500 para instalar los drivers Legacy 173.14
Recurrí a este driver privativo al tener problemas con Nouveau. Con éste el monitor se ralentizaba bastante. Esto me ocurrió al principio de salir Debian Wheezy, no sé si ahora estará corregido ese fallo. Por eso instalé el Legacy.
Probaré de nuevo con Nouveau a ver si funciona bien.
En caso negativo estoy en un callejón sin salida ya que ninguno de los dos drivers me valdrían para Debian dada la antiguedad de mi tarjeta gráfica.
Saludos de un debianita en apuros.

Desconectado

#4 2015-05-20 12:58:04

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: Sin poder instalar en Debian 8 el driver Legacy 173.14.

Tengo entendido que nouveau funciona bien en esas gráficas si presentas algún detalle de aceleración o problemas con las resoluciones solo hazlo saber.

Saludos


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

#5 2015-05-21 07:03:12

Ystad
Tuxes
Registrado: 2013-08-10
Mensajes: 11

Re: Sin poder instalar en Debian 8 el driver Legacy 173.14.

Al final opté por una solución no prevista pero que me ha funcionado. Desinstalé todo lo referente a Gnome e instalé XFCE con el gestor de sesiones LightDm.
Quité todo lo referente a Nvidia y Legacy y opté por Nouveau. De momento va todo bien, sin congelación de pantalla ni nada parecido como me ocurrió hace tiempo con este driver.
Ahora tengo  la tarea de configurarlo a mi gusto, iconos, temas y demás... pero al fin tengo entorno gráfico.
Muchas gracias por todo y os seguiré leyendo y aprendiendo.
Saludos cordiales.

Desconectado

#6 2015-05-21 13:00:08

YukiteruAmano
SystemInside Staff
Desde: /home/yukiteru
Registrado: 2013-05-12
Mensajes: 1,049
Página Web

Re: Sin poder instalar en Debian 8 el driver Legacy 173.14.

@Ystad nouveau va bien con la aceleración necesaria para Gnome, lo digo con conocimiento de causa (fui dueño de una NVIDIA 8400 GS) aunque en Wheezy había que instalar una serie de paquetes que no se instalaban por defecto y sin los cuales nouveau no funciona correctamente (libgl1-mesa-dri-experimental), ese problema en Jessie se ha solucionado, debido a que la aceleración de mesa va completa en un solo paquete y se instala por defecto, aunque ciertamente XFCE no es una mala opción y te permitirá trabajar rápido, sin consumir tantos recursos y todo ello sin ser feo.

Saludos.


Dios en su Cielo, todo bien en la Tierra / God in his Heaven, all right in the Earth.

Desconectado

Pie de página

Powered by FluxBB